Storage Pod Get Pod Storage Drs Entry

Storage Pod Get Pod Storage Drs Entry
Storage DRS related attributes of the Storage Pod.

Storage DRS related attributes of the Storage Pod.

Required privileges: System.Read

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/StoragePod/{moId}/podStorageDrsEntry
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case StoragePod/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "_typeName": "string",
    "storageDrsConfig": {
        "_typeName": "string",
        "podConfig": {
            "_typeName": "string",
            "enabled": false,
            "ioLoadBalanceEnabled": false,
            "defaultVmBehavior": "string",
            "loadBalanceInterval": 0,
            "defaultIntraVmAffinity": false,
            "spaceLoadBalanceConfig": {
                "_typeName": "string",
                "spaceThresholdMode": "string",
                "spaceUtilizationThreshold": 0,
                "freeSpaceThresholdGB": 0,
                "minSpaceUtilizationDifference": 0
            },
            "ioLoadBalanceConfig": {
                "_typeName": "string",
                "reservablePercentThreshold": 0,
                "reservableIopsThreshold": 0,
                "reservableThresholdMode": "string",
                "ioLatencyThreshold": 0,
                "ioLoadImbalanceThreshold": 0
            },
            "automationOverrides": {
                "_typeName": "string",
                "spaceLoadBalanceAutomationMode": "string",
                "ioLoadBalanceAutomationMode": "string",
                "ruleEnforcementAutomationMode": "string",
                "policyEnforcementAutomationMode": "string",
                "vmEvacuationAutomationMode": "string"
            },
            "rule": [
                {
                    "_typeName": "string",
                    "key": 0,
                    "status": "string",
                    "enabled": false,
                    "name": "string",
                    "mandatory": false,
                    "userCreated": false,
                    "inCompliance": false,
                    "ruleUuid": "string"
                }
            ],
            "option": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ]
        },
        "vmConfig": [
            {
                "_typeName": "string",
                "vm": {
                    "_typeName": "string",
                    "type": "string",
                    "value": "string"
                },
                "enabled": false,
                "behavior": "string",
                "intraVmAffinity": false,
                "intraVmAntiAffinity": {
                    "_typeName": "string",
                    "key": 0,
                    "status": "string",
                    "enabled": false,
                    "name": "string",
                    "mandatory": false,
                    "userCreated": false,
                    "inCompliance": false,
                    "ruleUuid": "string",
                    "diskId": [
                        0
                    ]
                },
                "virtualDiskRules": [
                    {
                        "_typeName": "string",
                        "key": 0,
                        "status": "string",
                        "enabled": false,
                        "name": "string",
                        "mandatory": false,
                        "userCreated": false,
                        "inCompliance": false,
                        "ruleUuid": "string",
                        "diskRuleType": "string",
                        "diskId": [
                            0
                        ]
                    }
                ]
            }
        ]
    },
    "recommendation": [
        {
            "_typeName": "string",
            "key": "string",
            "type": "string",
            "time": "string",
            "rating": 0,
            "reason": "string",
            "reasonText": "string",
            "warningText": "string",
            "warningDetails": {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            },
            "prerequisite": [
                "string"
            ],
            "action": [
                {
                    "_typeName": "string",
                    "type": "string",
                    "target": {
                        "_typeName": "string",
                        "type": "string",
                        "value": "string"
                    }
                }
            ],
            "target": {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            }
        }
    ],
    "drsFault": [
        {
            "_typeName": "string",
            "reason": "string",
            "faultsByVm": [
                {
                    "_typeName": "string",
                    "vm": {
                        "_typeName": "string",
                        "type": "string",
                        "value": "string"
                    },
                    "fault": [
                        {
                            "_typeName": "string",
                            "faultCause": {
                                "_typeName": "string",
                                "faultCause": "MethodFault Object",
                                "faultMessage": [
                                    {
                                        "_typeName": "string",
                                        "key": "string",
                                        "arg": [
                                            {
                                                "_typeName": "string",
                                                "key": "string",
                                                "value": {
                                                    "_typeName": "string"
                                                }
                                            }
                                        ],
                                        "message": "string"
                                    }
                                ]
                            },
                            "faultMessage": [
                                {
                                    "_typeName": "string",
                                    "key": "string",
                                    "arg": [
                                        {
                                            "_typeName": "string",
                                            "key": "string",
                                            "value": {
                                                "_typeName": "string"
                                            }
                                        }
                                    ],
                                    "message": "string"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ],
    "actionHistory": [
        {
            "_typeName": "string",
            "action": {
                "_typeName": "string",
                "type": "string",
                "target": {
                    "_typeName": "string",
                    "type": "string",
                    "value": "string"
                }
            },
            "time": "string"
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/StoragePod/{moId}/podStorageDrsEntry